Index: uspace/lib/c/generic/adt/dynamic_fifo.c
===================================================================
--- uspace/lib/c/generic/adt/dynamic_fifo.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/adt/dynamic_fifo.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -56,8 +56,8 @@
  *
  * @param[in] fifo	The dynamic queue.
- * @returns		TRUE if the queue is valid.
- * @returns		FALSE otherwise.
- */
-static int dyn_fifo_is_valid(dyn_fifo_ref fifo)
+ * @return		TRUE if the queue is valid.
+ * @return		FALSE otherwise.
+ */
+static int dyn_fifo_is_valid(dyn_fifo_t *fifo)
 {
 	return fifo && (fifo->magic_value == DYN_FIFO_MAGIC_VALUE);
@@ -68,10 +68,10 @@
  * @param[in,out] fifo	The dynamic queue.
  * @param[in] size	The initial queue size.
- * @returns		EOK on success.
- * @returns		EINVAL if the queue is not valid.
- * @returns		EBADMEM if the fifo parameter is NULL.
- * @returns		ENOMEM if there is not enough memory left.
- */
-int dyn_fifo_initialize(dyn_fifo_ref fifo, int size)
+ * @return		EOK on success.
+ * @return		EINVAL if the queue is not valid.
+ * @return		EBADMEM if the fifo parameter is NULL.
+ * @return		ENOMEM if there is not enough memory left.
+ */
+int dyn_fifo_initialize(dyn_fifo_t *fifo, int size)
 {
 	if (!fifo)
@@ -100,9 +100,9 @@
  *			this limit. May be zero or negative to indicate no
  *			limit.
- * @returns		EOK on success.
- * @returns		EINVAL if the queue is not valid.
- * @returns		ENOMEM if there is not enough memory left.
- */
-int dyn_fifo_push(dyn_fifo_ref fifo, int value, int max_size)
+ * @return		EOK on success.
+ * @return		EINVAL if the queue is not valid.
+ * @return		ENOMEM if there is not enough memory left.
+ */
+int dyn_fifo_push(dyn_fifo_t *fifo, int value, int max_size)
 {
 	int *new_items;
@@ -150,9 +150,9 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @returns		Value of the first item in the queue.
- * @returns		EINVAL if the queue is not valid.
- * @returns		ENOENT if the queue is empty.
- */
-int dyn_fifo_pop(dyn_fifo_ref fifo)
+ * @return		Value of the first item in the queue.
+ * @return		EINVAL if the queue is not valid.
+ * @return		ENOENT if the queue is empty.
+ */
+int dyn_fifo_pop(dyn_fifo_t *fifo)
 {
 	int value;
@@ -172,9 +172,9 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @returnsi		Value of the first item in the queue.
- * @returns		EINVAL if the queue is not valid.
- * @returns		ENOENT if the queue is empty.
- */
-int dyn_fifo_value(dyn_fifo_ref fifo)
+ * @return		Value of the first item in the queue.
+ * @return		EINVAL if the queue is not valid.
+ * @return		ENOENT if the queue is empty.
+ */
+int dyn_fifo_value(dyn_fifo_t *fifo)
 {
 	if (!dyn_fifo_is_valid(fifo))
@@ -190,8 +190,8 @@
  *
  * @param[in,out] fifo	The dynamic queue.
- * @returns		EOK on success.
- * @returns		EINVAL if the queue is not valid.
- */
-int dyn_fifo_destroy(dyn_fifo_ref fifo)
+ * @return		EOK on success.
+ * @return		EINVAL if the queue is not valid.
+ */
+int dyn_fifo_destroy(dyn_fifo_t *fifo)
 {
 	if (!dyn_fifo_is_valid(fifo))
Index: uspace/lib/c/generic/adt/measured_strings.c
===================================================================
--- uspace/lib/c/generic/adt/measured_strings.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/adt/measured_strings.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -55,11 +55,11 @@
  *			appended with the terminating zero ('\0') character
  *			otherwise.
- * @returns		The new bundled character string with measured length.
- * @returns		NULL if there is not enough memory left.
- */
-measured_string_ref
+ * @return		The new bundled character string with measured length.
+ * @return		NULL if there is not enough memory left.
+ */
+measured_string_t *
 measured_string_create_bulk(const char *string, size_t length)
 {
-	measured_string_ref new;
+	measured_string_t *new;
 
 	if (length == 0) {
@@ -67,5 +67,5 @@
 			length++;
 	}
-	new = (measured_string_ref) malloc(sizeof(measured_string_t) +
+	new = (measured_string_t *) malloc(sizeof(measured_string_t) +
 	    (sizeof(char) * (length + 1)));
 	if (!new)
@@ -84,16 +84,16 @@
  *
  * @param[in] source	The source measured string to be copied.
- * @returns		The copy of the given measured string.
- * @returns		NULL if the source parameter is NULL.
- * @returns		NULL if there is not enough memory left.
- */
-measured_string_ref measured_string_copy(measured_string_ref source)
-{
-	measured_string_ref new;
+ * @return		The copy of the given measured string.
+ * @return		NULL if the source parameter is NULL.
+ * @return		NULL if there is not enough memory left.
+ */
+measured_string_t *measured_string_copy(measured_string_t *source)
+{
+	measured_string_t *new;
 
 	if (!source)
 		return NULL;
 
-	new = (measured_string_ref) malloc(sizeof(measured_string_t));
+	new = (measured_string_t *) malloc(sizeof(measured_string_t));
 	if (new) {
 		new->value = (char *) malloc(source->length + 1);
@@ -120,16 +120,16 @@
  *			actual character strings.
  *  @param[in] count	The size of the measured strings array.
- *  @returns		EOK on success.
- *  @returns		EINVAL if the strings or data parameter is NULL.
- *  @returns		EINVAL if the count parameter is zero (0).
- *  @returns		EINVAL if the sent array differs in size.
- *  @returns		EINVAL if there is inconsistency in sent measured
+ *  @return		EOK on success.
+ *  @return		EINVAL if the strings or data parameter is NULL.
+ *  @return		EINVAL if the count parameter is zero (0).
+ *  @return		EINVAL if the sent array differs in size.
+ *  @return		EINVAL if there is inconsistency in sent measured
  *			strings' lengths (should not occur).
- *  @returns		ENOMEM if there is not enough memory left.
- *  @returns		Other error codes as defined for the
+ *  @return		ENOMEM if there is not enough memory left.
+ *  @return		Other error codes as defined for the
  *			async_data_write_finalize() function.
  */
 int
-measured_strings_receive(measured_string_ref *strings, char **data,
+measured_strings_receive(measured_string_t **strings, char **data,
     size_t count)
 {
@@ -166,5 +166,5 @@
 	(*data)[lengths[count] - 1] = '\0';
 
-	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) *
+	*strings = (measured_string_t *) malloc(sizeof(measured_string_t) *
 	    count);
 	if (!*strings) {
@@ -209,8 +209,8 @@
  * @param[in] strings	The measured strings array to be processed.
  * @param[in] count	The measured strings array size.
- * @returns		The computed sizes array.
- * @returns		NULL if there is not enough memory left.
- */
-static size_t *prepare_lengths(const measured_string_ref strings, size_t count)
+ * @return		The computed sizes array.
+ * @return		NULL if there is not enough memory left.
+ */
+static size_t *prepare_lengths(const measured_string_t *strings, size_t count)
 {
 	size_t *lengths;
@@ -238,15 +238,15 @@
  * @param[in] strings	The measured strings array to be transferred.
  * @param[in] count	The measured strings array size.
- * @returns		EOK on success.
- * @returns		EINVAL if the strings parameter is NULL.
- * @returns		EINVAL if the count parameter is zero (0).
- * @returns		EINVAL if the calling module does not accept the given
+ * @return		EOK on success.
+ * @return		EINVAL if the strings parameter is NULL.
+ * @return		EINVAL if the count parameter is zero (0).
+ * @return		EINVAL if the calling module does not accept the given
  *			array size.
- * @returns		EINVAL if there is inconsistency in sent measured
+ * @return		EINVAL if there is inconsistency in sent measured
  *			strings' lengths (should not occur).
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			async_data_read_finalize() function.
  */
-int measured_strings_reply(const measured_string_ref strings, size_t count)
+int measured_strings_reply(const measured_string_t *strings, size_t count)
 {
 	size_t *lengths;
@@ -302,14 +302,14 @@
  *			actual character strings.
  * @param[in] count	The size of the measured strings array.
- * @returns		EOK on success.
- * @returns		EINVAL if the strings or data parameter is NULL.
- * @returns		EINVAL if the phone or count parameter is not positive.
- * @returns		EINVAL if the sent array differs in size.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EINVAL if the strings or data parameter is NULL.
+ * @return		EINVAL if the phone or count parameter is not positive.
+ * @return		EINVAL if the sent array differs in size.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			async_data_read_start() function.
  */
 int
-measured_strings_return(int phone, measured_string_ref *strings, char **data,
+measured_strings_return(int phone, measured_string_t **strings, char **data,
     size_t count)
 {
@@ -339,5 +339,5 @@
 	}
 
-	*strings = (measured_string_ref) malloc(sizeof(measured_string_t) *
+	*strings = (measured_string_t *) malloc(sizeof(measured_string_t) *
 	    count);
 	if (!*strings) {
@@ -378,12 +378,12 @@
  * @param[in] strings	The measured strings array to be transferred.
  * @param[in] count	The measured strings array size.
- * @returns		EOK on success.
- * @returns		EINVAL if the strings parameter is NULL.
- * @returns		EINVAL if the phone or count parameter is not positive.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EINVAL if the strings parameter is NULL.
+ * @return		EINVAL if the phone or count parameter is not positive.
+ * @return		Other error codes as defined for the
  *			async_data_write_start() function.
  */
 int
-measured_strings_send(int phone, const measured_string_ref strings,
+measured_strings_send(int phone, const measured_string_t *strings,
     size_t count)
 {
Index: uspace/lib/c/generic/devman.c
===================================================================
--- uspace/lib/c/generic/devman.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/devman.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -141,5 +141,5 @@
 
 int devman_child_device_register(
-	const char *name, match_id_list_t *match_ids, device_handle_t parent_handle, device_handle_t *handle)
+	const char *name, match_id_list_t *match_ids, devman_handle_t parent_handle, devman_handle_t *handle)
 {		
 	int phone = devman_get_phone(DEVMAN_DRIVER, IPC_FLAG_BLOCKING);
@@ -180,5 +180,5 @@
 }
 
-int devman_add_device_to_class(device_handle_t dev_handle, const char *class_name)
+int devman_add_device_to_class(devman_handle_t devman_handle, const char *class_name)
 {
 	int phone = devman_get_phone(DEVMAN_DRIVER, IPC_FLAG_BLOCKING);
@@ -189,5 +189,5 @@
 	async_serialize_start();
 	ipc_call_t answer;
-	aid_t req = async_send_1(phone, DEVMAN_ADD_DEVICE_TO_CLASS, dev_handle, &answer);
+	aid_t req = async_send_1(phone, DEVMAN_ADD_DEVICE_TO_CLASS, devman_handle, &answer);
 	
 	ipcarg_t retval = async_data_write_start(phone, class_name, str_size(class_name));
@@ -224,5 +224,5 @@
 }
 
-int devman_device_connect(device_handle_t handle, unsigned int flags)
+int devman_device_connect(devman_handle_t handle, unsigned int flags)
 {
 	int phone;
@@ -239,5 +239,5 @@
 }
 
-int devman_parent_device_connect(device_handle_t handle, unsigned int flags)
+int devman_parent_device_connect(devman_handle_t handle, unsigned int flags)
 {
 	int phone;
@@ -254,5 +254,5 @@
 }
 
-int devman_device_get_handle(const char *pathname, device_handle_t *handle, unsigned int flags)
+int devman_device_get_handle(const char *pathname, devman_handle_t *handle, unsigned int flags)
 {
 	int phone = devman_get_phone(DEVMAN_CLIENT, flags);
@@ -280,10 +280,10 @@
 	if (retval != EOK) {
 		if (handle != NULL)
-			*handle = (device_handle_t) -1;
+			*handle = (devman_handle_t) -1;
 		return retval;
 	}
 	
 	if (handle != NULL)
-		*handle = (device_handle_t) IPC_GET_ARG1(answer);
+		*handle = (devman_handle_t) IPC_GET_ARG1(answer);
 	
 	return retval;
Index: uspace/lib/c/generic/devmap.c
===================================================================
--- uspace/lib/c/generic/devmap.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/devmap.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -132,5 +132,5 @@
  *
  */
-int devmap_device_register(const char *fqdn, dev_handle_t *handle)
+int devmap_device_register(const char *fqdn, devmap_handle_t *handle)
 {
 	int phone = devmap_get_phone(DEVMAP_DRIVER, IPC_FLAG_BLOCKING);
@@ -163,10 +163,10 @@
 	
 	if (handle != NULL)
-		*handle = (dev_handle_t) IPC_GET_ARG1(answer);
+		*handle = (devmap_handle_t) IPC_GET_ARG1(answer);
 	
 	return retval;
 }
 
-int devmap_device_get_handle(const char *fqdn, dev_handle_t *handle, unsigned int flags)
+int devmap_device_get_handle(const char *fqdn, devmap_handle_t *handle, unsigned int flags)
 {
 	int phone = devmap_get_phone(DEVMAP_CLIENT, flags);
@@ -194,15 +194,15 @@
 	if (retval != EOK) {
 		if (handle != NULL)
-			*handle = (dev_handle_t) -1;
+			*handle = (devmap_handle_t) -1;
 		return retval;
 	}
 	
 	if (handle != NULL)
-		*handle = (dev_handle_t) IPC_GET_ARG1(answer);
+		*handle = (devmap_handle_t) IPC_GET_ARG1(answer);
 	
 	return retval;
 }
 
-int devmap_namespace_get_handle(const char *name, dev_handle_t *handle, unsigned int flags)
+int devmap_namespace_get_handle(const char *name, devmap_handle_t *handle, unsigned int flags)
 {
 	int phone = devmap_get_phone(DEVMAP_CLIENT, flags);
@@ -230,15 +230,15 @@
 	if (retval != EOK) {
 		if (handle != NULL)
-			*handle = (dev_handle_t) -1;
+			*handle = (devmap_handle_t) -1;
 		return retval;
 	}
 	
 	if (handle != NULL)
-		*handle = (dev_handle_t) IPC_GET_ARG1(answer);
+		*handle = (devmap_handle_t) IPC_GET_ARG1(answer);
 	
 	return retval;
 }
 
-devmap_handle_type_t devmap_handle_probe(dev_handle_t handle)
+devmap_handle_type_t devmap_handle_probe(devmap_handle_t handle)
 {
 	int phone = devmap_get_phone(DEVMAP_CLIENT, IPC_FLAG_BLOCKING);
@@ -255,5 +255,5 @@
 }
 
-int devmap_device_connect(dev_handle_t handle, unsigned int flags)
+int devmap_device_connect(devmap_handle_t handle, unsigned int flags)
 {
 	int phone;
@@ -305,5 +305,5 @@
 }
 
-static size_t devmap_count_devices_internal(int phone, dev_handle_t ns_handle)
+static size_t devmap_count_devices_internal(int phone, devmap_handle_t ns_handle)
 {
 	ipcarg_t count;
@@ -325,5 +325,5 @@
 }
 
-size_t devmap_count_devices(dev_handle_t ns_handle)
+size_t devmap_count_devices(devmap_handle_t ns_handle)
 {
 	int phone = devmap_get_phone(DEVMAP_CLIENT, IPC_FLAG_BLOCKING);
@@ -387,5 +387,5 @@
 }
 
-size_t devmap_get_devices(dev_handle_t ns_handle, dev_desc_t **data)
+size_t devmap_get_devices(devmap_handle_t ns_handle, dev_desc_t **data)
 {
 	int phone = devmap_get_phone(DEVMAP_CLIENT, IPC_FLAG_BLOCKING);
Index: uspace/lib/c/generic/net/icmp_api.c
===================================================================
--- uspace/lib/c/generic/net/icmp_api.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/icmp_api.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -66,12 +66,12 @@
  * @param[in] addr	The target host address.
  * @param[in] addrlen	The torget host address length.
- * @returns		ICMP_ECHO on success.
- * @returns		ETIMEOUT if the reply has not arrived before the
+ * @return		ICMP_ECHO on success.
+ * @return		ETIMEOUT if the reply has not arrived before the
  *			timeout.
- * @returns		ICMP type of the received error notification.
- * @returns		EINVAL if the addrlen parameter is less or equal to
+ * @return		ICMP type of the received error notification.
+ * @return		EINVAL if the addrlen parameter is less or equal to
  *			zero.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		EPARTY if there was an internal error.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		EPARTY if there was an internal error.
  */
 int
Index: uspace/lib/c/generic/net/icmp_common.c
===================================================================
--- uspace/lib/c/generic/net/icmp_common.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/icmp_common.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -50,6 +50,6 @@
  * @param[in] timeout	The connection timeout in microseconds. No timeout if
  *			set to zero.
- * @returns		The ICMP module phone on success.
- * @returns		ETIMEOUT if the connection timeouted.
+ * @return		The ICMP module phone on success.
+ * @return		ETIMEOUT if the connection timeouted.
  */
 int icmp_connect_module(services_t service, suseconds_t timeout)
Index: uspace/lib/c/generic/net/inet.c
===================================================================
--- uspace/lib/c/generic/net/inet.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/inet.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -51,8 +51,8 @@
  *  @param[out] address	The character buffer to be filled.
  *  @param[in] length	The buffer length.
- *  @returns		EOK on success.
- *  @returns		EINVAL if the data or address parameter is NULL.
- *  @returns		ENOMEM if the character buffer is not long enough.
- *  @returns		ENOTSUP if the address family is not supported.
+ *  @return		EOK on success.
+ *  @return		EINVAL if the data or address parameter is NULL.
+ *  @return		ENOMEM if the character buffer is not long enough.
+ *  @return		ENOTSUP if the address family is not supported.
  */
 int
@@ -101,8 +101,8 @@
  *  @param[in] address	The character buffer to be parsed.
  *  @param[out] data	The address data to be filled.
- *  @returns		EOK on success.
- *  @returns		EINVAL if the data parameter is NULL.
- *  @returns		ENOENT if the address parameter is NULL.
- *  @returns		ENOTSUP if the address family is not supported.
+ *  @return		EOK on success.
+ *  @return		EINVAL if the data parameter is NULL.
+ *  @return		ENOENT if the address parameter is NULL.
+ *  @return		ENOTSUP if the address family is not supported.
  */
 int inet_pton(uint16_t family, const char *address, uint8_t *data)
Index: uspace/lib/c/generic/net/modules.c
===================================================================
--- uspace/lib/c/generic/net/modules.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/modules.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -159,5 +159,5 @@
  *
  * @param[in] need	The needed module service.
- * @returns		The phone of the needed service.
+ * @return		The phone of the needed service.
  */
 int connect_to_service(services_t need)
@@ -171,6 +171,6 @@
  *  @param[in] timeout	The connection timeout in microseconds. No timeout if
  *			set to zero (0).
- *  @returns		The phone of the needed service.
- *  @returns		ETIMEOUT if the connection timeouted.
+ *  @return		The phone of the needed service.
+ *  @return		ETIMEOUT if the connection timeouted.
  */
 int connect_to_service_timeout(services_t need, suseconds_t timeout)
@@ -204,9 +204,9 @@
  * @param[out] data	The data buffer to be filled.
  * @param[out] length	The buffer length.
- * @returns		EOK on success.
- * @returns		EBADMEM if the data or the length parameter is NULL.
- * @returns		EINVAL if the client does not send data.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EBADMEM if the data or the length parameter is NULL.
+ * @return		EINVAL if the client does not send data.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			async_data_write_finalize() function.
  */
@@ -242,9 +242,9 @@
  * @param[in] data	The data buffer to be sent.
  * @param[in] data_length The buffer length.
- * @returns		EOK on success.
- * @returns		EINVAL if the client does not expect the data.
- * @returns		EOVERFLOW if the client does not expect all the data.
+ * @return		EOK on success.
+ * @return		EINVAL if the client does not expect the data.
+ * @return		EOVERFLOW if the client does not expect all the data.
  *			Only partial data are transfered.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			async_data_read_finalize() function.
  */
Index: uspace/lib/c/generic/net/packet.c
===================================================================
--- uspace/lib/c/generic/net/packet.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/c/generic/net/packet.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -64,7 +64,4 @@
 typedef packet_t packet_map_t[PACKET_MAP_SIZE];
 
-/** Type definition of the packet map page pointer. */
-typedef packet_map_t * packet_map_ref;
-
 /** Packet map.
  * Maps packet identifiers to the packet references.
@@ -85,6 +82,6 @@
 /** Initializes the packet map.
  *
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int pm_init(void)
@@ -104,10 +101,10 @@
  *
  * @param[in] packet_id	The packet identifier to be found.
- * @returns		The found packet reference.
- * @returns		NULL if the mapping does not exist.
+ * @return		The found packet reference.
+ * @return		NULL if the mapping does not exist.
  */
 packet_t pm_find(packet_id_t packet_id)
 {
-	packet_map_ref map;
+	packet_map_t *map;
 	packet_t packet;
 
@@ -133,12 +130,12 @@
  *
  * @param[in] packet	The packet to be remembered.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		EINVAL if the packet map is not initialized.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		EINVAL if the packet map is not initialized.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int pm_add(packet_t packet)
 {
-	packet_map_ref map;
+	packet_map_t *map;
 	int rc;
 
@@ -154,5 +151,5 @@
 	} else {
 		do {
-			map = (packet_map_ref) malloc(sizeof(packet_map_t));
+			map = (packet_map_t *) malloc(sizeof(packet_map_t));
 			if (!map) {
 				fibril_rwlock_write_unlock(&pm_globals.lock);
@@ -180,5 +177,5 @@
 	int count;
 	int index;
-	packet_map_ref map;
+	packet_map_t *map;
 	packet_t packet;
 
@@ -208,7 +205,7 @@
  * @param[in] order	The packet order value.
  * @param[in] metric	The metric value of the packet.
- * @returns		EOK on success.
- * @returns		EINVAL if the first parameter is NULL.
- * @returns		EINVAL if the packet is not valid.
+ * @return		EOK on success.
+ * @return		EINVAL if the first parameter is NULL.
+ * @return		EINVAL if the packet is not valid.
  */
 int pq_add(packet_t * first, packet_t packet, size_t order, size_t metric)
@@ -252,7 +249,7 @@
  * @param[in] first	The first packet of the queue.
  * @param[in] order	The packet order value.
- * @returns		The packet with the given order.
- * @returns		NULL if the first packet is not valid.
- * @returns		NULL if the packet is not found.
+ * @return		The packet with the given order.
+ * @return		NULL if the first packet is not valid.
+ * @return		NULL if the packet is not found.
  */
 packet_t pq_find(packet_t packet, size_t order)
@@ -278,6 +275,6 @@
  * @param[in] packet	The packet in the queue.
  * @param[in] new_packet The new packet to be inserted.
- * @returns		EOK on success.
- * @returns		EINVAL if etiher of the packets is invalid.
+ * @return		EOK on success.
+ * @return		EINVAL if etiher of the packets is invalid.
  */
 int pq_insert_after(packet_t packet, packet_t new_packet)
@@ -301,8 +298,8 @@
  *
  * @param[in] packet	The packet to be detached.
- * @returns		The next packet in the queue. If the packet is the first
+ * @return		The next packet in the queue. If the packet is the first
  *			one of the queue, this becomes the new first one.
- * @returns		NULL if there is no packet left.
- * @returns		NULL if the packet is not valid.
+ * @return		NULL if there is no packet left.
+ * @return		NULL if the packet is not valid.
  */
 packet_t pq_detach(packet_t packet)
@@ -331,6 +328,6 @@
  * @param[in] order	The packet order value.
  * @param[in] metric	The metric value of the packet.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is invalid.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is invalid.
  */
 int pq_set_order(packet_t packet, size_t order, size_t metric)
@@ -349,6 +346,6 @@
  * @param[out] order	The packet order value.
  * @param[out] metric	The metric value of the packet.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is invalid.
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is invalid.
  */
 int pq_get_order(packet_t packet, size_t *order, size_t *metric)
@@ -394,7 +391,7 @@
  *
  * @param[in] packet	The packet queue member.
- * @returns		The next packet in the queue.
- * @returns		NULL if there is no next packet.
- * @returns		NULL if the packet is not valid.
+ * @return		The next packet in the queue.
+ * @return		NULL if there is no next packet.
+ * @return		NULL if the packet is not valid.
  */
 packet_t pq_next(packet_t packet)
@@ -409,7 +406,7 @@
  *
  * @param[in] packet	The packet queue member.
- * @returns		The previous packet in the queue.
- * @returns		NULL if there is no previous packet.
- * @returns		NULL if the packet is not valid.
+ * @return		The previous packet in the queue.
+ * @return		NULL if there is no previous packet.
+ * @return		NULL if the packet is not valid.
  */
 packet_t pq_previous(packet_t packet)
